var win = Ti.UI.createWindow({
	backgroundColor : "#fff",
});
var mainScrollView = Ti.UI.createScrollView({
	height : Ti.UI.SIZE,
	width : Ti.UI.SIZE,
	layout : 'vertical'
});
var toolTipYPosition,
    scrollViewHeight,
    scrollViewWidth;
var toolTipViewHeight = 200,
    toolTipViewWidth = 300;
var addBelow = false;
function addToolTipView() {

	var mainView = Ti.UI.createView({
		height : Ti.UI.FILL,
		width : Ti.UI.FILL,
		backgroundColor : '#9ffffff'
		//layout : 'vertical'
	});
	var toolTipView = Ti.UI.createView({
		height : toolTipViewHeight,
		width : Ti.UI.FILL,
		backgroundColor : 'grey',
		center : {
			// x : toolTipXPosition,
			y : addBelow ? toolTipYPosition + 100 : toolTipYPosition - 116
		},
		borderColor : 'red',
		borderRadius : 1,
		borderWidth : 1,
		layout : 'vertical'
	});
	Ti.API.info('toolTipYPosition.....=' + toolTipYPosition + 'scrollViewHeight....' + scrollViewHeight + 'scrollViewWidth....' + scrollViewWidth);
	var tableviewRows = [];
	var row1,
	    row2,
	    row3;
	var tableView = Ti.UI.createTableView({
		width : Ti.UI.FILL,
		height : 150
		//backgroundColor : '#9ffffff',

	});
	row1 = Ti.UI.createTableViewRow({
		width : Ti.UI.SIZE,
		rowIndex : 'unSubmitted',
		height : Ti.UI.SIZE,
		color : '#000000',
		title : "View Unsubmitted Claims"
	});
	row2 = Ti.UI.createTableViewRow({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE,
		rowIndex : 'Submitted',
		color : '#000000',
		title : "View Claims in Process"
	});
	row3 = Ti.UI.createTableViewRow({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE,
		rowIndex : 'inProcess',
		color : '#000000',
		title : "View Completed Claims"
	});
	tableviewRows.push(row1);
	tableviewRows.push(row2);
	tableviewRows.push(row3);
	tableView.data = tableviewRows;
	tableView.addEventListener('click', function(e) {
		Ti.API.info('tableView.addEventListener.....' + JSON.stringify(e));
	});
	var arrowImage = Ti.UI.createImageView({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE,
		image : addBelow ? '/images/up-arrow-triangle-outline.png' : '/images/down-arrow-triangle-outline.png',
		right : 10
	});
	if (addBelow) {
		toolTipView.add(arrowImage);
		toolTipView.add(tableView);
	} else {
		toolTipView.add(tableView);
		toolTipView.add(arrowImage);
	}

	mainView.add(toolTipView);
	addBelow = false;
	mainView.addEventListener('click', function(e) {
		mainView.height = 0;
	});

	return mainView;

}

for (var i = 0; i < 10; i++) {
	var mainView = Ti.UI.createView({
		width : Ti.UI.FILL,
		height : 300,
		borderColor : 'red',
		borderRadius : 2,
		borderWidth : 2,
		layout : 'vertical',
		top : 10
	});
	var titleView = Ti.UI.createView({
		width : Ti.UI.FILL,
		height : Ti.UI.SIZE
		//layout : 'horizontal'
	});
	var titleLabel = Ti.UI.createLabel({
		width : '70%',
		height : Ti.UI.SIZE,
		left : 10,
		text : "My Submitted Eclaims",
		color : 'black'
	});
	titleView.add(titleLabel);
	discoveryImage = Ti.UI.createImageView({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE,
		image : '/images/more.png',
		right : 10,
		borderColor : 'green',
		borderWidth : 1,
	});
	titleView.add(discoveryImage);
	discoveryImage.addEventListener('click', function(e) {
		Ti.API.info('.....' + JSON.stringify(e));
		toolTipYPosition = e.source.rect.y;
		if (toolTipYPosition < scrollViewHeight / 2) {
			addBelow = true;
		}
		win.add(addToolTipView());
	});
	mainView.add(titleView);
	mainScrollView.add(mainView);
}

win.add(mainScrollView);

mainScrollView.addEventListener('postlayout', function(e) {
	Ti.API.info('mainScrollView rect: ' + mainScrollView.rect.width + ',' + mainScrollView.rect.height);
	scrollViewHeight = mainScrollView.rect.height;
	scrollViewWidth = mainScrollView.rect.width;
});
win.open();